##### basic_serial_port::basic_serial_port (8 of 9 overloads)

Construct a `basic_serial_port` on an existing native serial port.

    template<
        typename ExecutionContext>
    basic_serial_port(
        ExecutionContext & context,
        const native_handle_type & native_serial_port,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This constructor creates a serial port object to hold an existing native serial port.

###### Parameters

context

  An execution context which provides the I/O executor that the serial port will use, by default, to dispatch handlers for any asynchronous operations performed on the serial port.

native_serial_port

  A native serial port.

###### Exceptions

asio::system_error

  Thrown on failure.